/**
 * Currency Enum
 * Currency IDs used in the backend
 */
const Currency = Object.freeze({
  SYP: 1,
  USD: 2,
  EUR: 3,
  TRY: 4,
});

const CurrencyLabels = Object.freeze({
  [Currency.SYP]: 'ليرة سورية',
  [Currency.USD]: 'دولار أمريكي',
  [Currency.EUR]: 'يورو',
  [Currency.TRY]: 'ليرة تركية',
});

const CurrencySymbols = Object.freeze({
  [Currency.SYP]: 'SYP',
  [Currency.USD]: 'USD',
  [Currency.EUR]: 'EUR',
  [Currency.TRY]: 'TRY',
});

const CurrencyTranslationKeys = Object.freeze({
  [Currency.SYP]: 'currency.syp',
  [Currency.USD]: 'currency.usd',
  [Currency.EUR]: 'currency.eur',
  [Currency.TRY]: 'currency.try',
});

export { Currency, CurrencyLabels, CurrencySymbols, CurrencyTranslationKeys };
